- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QStylePainter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qstylepainter.h.

`#include <qstylepainter.h>`

Inheritance diagram for QStylePainter:
[legend]

List of all members.

## Public Member Functions
| QStylePainter ()
| QStylePainter (QWidget *w)
| QStylePainter (QPaintDevice *pd, QWidget *w)
bool | begin (QWidget *w)
bool | begin (QPaintDevice *pd, QWidget *w)
void | drawPrimitive (QStyle::PrimitiveElement pe, const QStyleOption &opt)
void | drawControl (QStyle::ControlElement ce, const QStyleOption &opt)
void | drawComplexControl (QStyle::ComplexControl cc, const QStyleOptionComplex &opt)
void | drawItemText (const QRect &r, int flags, const QPalette &pal, bool enabled, const QString &text, QPalette::ColorRole textRole=QPalette::NoRole)
void | drawItemPixmap (const QRect &r, int flags, const QPixmap &pixmap)
QStyle * | style () const

## Constructor & Destructor Documentation

QStylePainter | ( |  | ) | `[inline]`

Definition at line 58 of file qstylepainter.h.

    : QPainter(), widget(0), wstyle(0) {}

QStylePainter | ( | QWidget * | w | ) | `[inline, explicit]`

Definition at line 59 of file qstylepainter.h.

    { begin(w, w); }

QStylePainter | ( | QPaintDevice * | pd,
|  | QWidget * | w
| ) |  | `[inline]`

Definition at line 60 of file qstylepainter.h.

    { begin(pd, w); }

## Member Function Documentation

bool begin | ( | QWidget * | w | ) | `[inline]`

Search for all occurrences

Definition at line 61 of file qstylepainter.h.

    { return begin(w, w); }

bool begin | ( | QPaintDevice * | pd,
|  | QWidget * | w
| ) |  | `[inline]`

Search for all occurrences

Definition at line 62 of file qstylepainter.h.

                                                        {
            Q_ASSERT_X(w, "QStylePainter::QStylePainter", "Widget must be non-zero");
            widget = w;
            wstyle = w->style();
            return QPainter::begin(pd);
        };

void drawPrimitive | ( | QStyle::PrimitiveElement | pe,
|  | const QStyleOption & | opt
| ) |  | `[inline]`

Search for all occurrences

Definition at line 82 of file qstylepainter.h.

    {
        wstyle->drawPrimitive(pe, &opt, this, widget);
    }

void drawControl | ( | QStyle::ControlElement | ce,
|  | const QStyleOption & | opt
| ) |  | `[inline]`

Search for all occurrences

Definition at line 87 of file qstylepainter.h.

    {
        wstyle->drawControl(ce, &opt, this, widget);
    }

void drawComplexControl | ( | QStyle::ComplexControl | cc,
|  | const QStyleOptionComplex & | opt
| ) |  | `[inline]`

Search for all occurrences

Definition at line 92 of file qstylepainter.h.

    {
        wstyle->drawComplexControl(cc, &opt, this, widget);
    }

void drawItemText | ( | const QRect & | r,
|  | int | flags,
|  | const QPalette & | pal,
|  | bool | enabled,
|  | const QString & | text,
|  | QPalette::ColorRole | textRole = `QPalette::NoRole`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 97 of file qstylepainter.h.

    {
        wstyle->drawItemText(this, r, flags, pal, enabled, text, textRole);
    }

void drawItemPixmap | ( | const QRect & | r,
|  | int | flags,
|  | const QPixmap & | pixmap
| ) |  | `[inline]`

Search for all occurrences

Definition at line 103 of file qstylepainter.h.

    {
        wstyle->drawItemPixmap(this, r, flags, pixmap);
    }

QStyle* style | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 74 of file qstylepainter.h.

    { return wstyle; }

The documentation for this class was generated from the following file:

- QtGui/qstylepainter.h

QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter
QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter QStylePainter